{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}<section class="collection-container" data-collection="{{ collection.id }}">
  {% assign meta = collection.metafields.csm_collection %}

  {% if meta.text_color %}
    {% assign text_color  = meta.text_color %}
  {% else %}
    {% assign text_color  = 'black' %}
  {% endif %}

  {% if meta.brand == 1 %}

    <script>
      var pcp = 'product_vendor={{ collection.products[0].vendor }}&';
      var pcpType = 'brand';
    </script>

    {% include 'collection-brand-hero' %}
  {% else %}

    <script>
      {% if collection.title == 'Clothing' %}
        var pcp = 'product_type=shirts,outerwear,t-shirts,pants,shorts,jacket,sweaters,kids,sweatshirts&';
      
      {% elsif collection.title == 'Accesssories' %}
        var pcp = 'product_type=accessories,headwear,eyewear,footwear,leather,bags,socks&';
      
      {% elsif collection.title == 'Lifestyle' %}
        var pcp = 'product_type=apothecary,books,home,art&';

      {% else %}
        var pcp = 'product_type={{ collection.products[0].product_type }}&';
      {% endif %}


      var pcpType = 'type';
    </script>

    {% include 'collection-type-hero' %}
  {% endif %}

  {% include 'grid-products' %}
</section><!-- ".collection-container" -->

<script type="text/javascript">
  var brand       = '{{ meta.brand }}';
  var collection  = true;

  var outerColor = {
    text  : '{{ text_color }}',
    logo  : ('{{ logo_color }}' || '{{ meta.text_color }}') || '#AD966C',
    bg    : '{{ meta.background_color }}',
  };
</script>

{% assign text_color = section.settings.header_text_color %}
{% assign logo_color = '#AD966C' %}
{% include 'filter' %}
